init offset = 1

init python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))


screen choice(items):
    style_prefix "choice"
    vbox:
        spacing 10
        yalign 0.6
        for n, i in enumerate(items, 1):
            if n < 10:
                key str(n) action i.action
                key "K_KP" + str(n) action i.action
                textbutton str(n) + ". " + i.caption action i.action


screen say(who, what):
    style_prefix "say"

    window:
        background Transform(style.window.background, alpha = 1 - persistent.textbox_transparency, xalign=0.5)
        id "window"

        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"

        text what id "what" size persistent.pref_text_size


    ## If there's a side image, display it above the text. Do not display on the
    ## phone variant - there's no room.
    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


screen save():

    tag menu

    use file_slots(_("Save"))

    vbox:
        align(0.35, 0.71)
        text "{color=#fff}Save Name:{/color}"
        input:
            yalign 0.05
            value VariableInputValue("save_name")


screen quick_menu():

    ## Ensure this appears on top of other screens.
    zorder 100

    if quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("History") action ShowMenu('history')
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Prefs") action ShowMenu('preferences')


screen preferences():
    tag menu # This ensures that any other menu screen is replaced.
    add "gui/config_menu.png" # We add the image that is shown in the background of the preferences screen.
    use navigation # We include the navigation screen (game menu)
    # Display windowed/full screen:
    imagebutton auto "gui/config_display_window_%s.png" xpos 495 ypos 144 focus_mask True action Preference('display', 'fullscreen')
    imagebutton auto "gui/config_display_fullscreen_%s.png" xpos 495 ypos 217 focus_mask True action Preference('display', 'window')
    # Transitions on/off:
    imagebutton auto "gui/config_rollback_disable_%s.png" xpos 833 ypos 144 focus_mask True action Preference("rollback side", "disable")
    imagebutton auto "gui/config_rollback_left_%s.png" xpos 833 ypos 217 focus_mask True action Preference("rollback side", "left")
    imagebutton auto "gui/config_rollback_right_%s.png" xpos 833 ypos 290 focus_mask True action Preference("rollback side", "right")
    # Stop/continue skipping after choices
    imagebutton auto "gui/config_skip_unseen_%s.png" xpos 1171 ypos 144 focus_mask True action Preference("skip", "toggle")
    imagebutton auto "gui/config_skip_after_%s.png" xpos 1171 ypos 217 focus_mask True action Preference("after choices", "toggle")
    imagebutton auto "gui/config_skip_transitions_%s.png" xpos 1171 ypos 290 focus_mask True action Preference("transitions", "toggle")

    # bar sliders for volume control, text speed and auto-forward time

    imagebutton auto "gui/config_muteall_%s.png" xpos 1171 ypos 810 focus_mask True action Preference("all mute", "toggle")

    frame xpos 1171 ypos 508:
        style_group "pref"
        #has vbox
        bar value Preference("music volume")
    frame xpos 1171 ypos 623:
        style_group "pref"
        #has vbox
        bar value Preference("sound volume")
    frame xpos 1171 ypos 735:
        style_group "pref"
        #has vbox
        bar value Preference("voice volume")
    frame xpos 495 ypos 508:
        style_group "pref"
        #has vbox
        bar value Preference("text speed")
    frame xpos 495 ypos 623:
        style_group "pref"
        #has vbox
        bar value Preference("auto-forward time")

    text _("Mod Options") style "mod_gui_top_text"

    vbox:
        style_prefix "mod_gui"
        xalign 0.01
        yalign 0.4
        spacing 10

        label _("Textbox Transparency")
        bar value FieldValue(persistent, "textbox_transparency", range=1.0, style="pref_slider") xsize 420

        label _("Text Size: %s" % (persistent.pref_text_size))
        bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'pref_slider', offset=0, step=1) xsize 420

        label _("Dialogue Font")
        textbutton _("Original") action gui.SetPreference("font", "fonts/Designer-Notes.TTF") style "radio_button"
        textbutton _("Alternative") action gui.SetPreference("font", "mod_additions/futura medium bt.ttf") style "radio_button"


style mod_gui_top_text:
    xpos 80
    ypos 150
    size 55
    font "fonts/Oswald-Regular.ttf"

style mod_gui_label_text:
    size 40
    font "fonts/Oswald-Regular.ttf"
    color "#c8cac9"